<?php
require_once 'config.php';
require_once 'functions.php';


if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $cedula = $_POST['cedula'];
    $persona = find_by_cedula($cedula);
    if ($persona) {
        ?>
		 <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 800px;
            margin: 0 auto;
            padding: 2rem;
        }
        h1 {
            text-align: center;
            margin-bottom: 2rem;
        }
        form {
            display: flex;
            flex-direction: column;
            margin-bottom: 2rem;
        }
        label {
            margin-bottom: 0.5rem;
        }
        input, select {
            padding: 0.5rem;
            margin-bottom: 1rem;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        button {
            padding: 0.5rem;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        button:hover {
            background-color: #45a049;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            padding: 0.5rem;
            border: 1px solid #ccc;
            text-align: left;
        }
        th {
            background-color: #4CAF50;
            color: white;
        }
        .message {
            margin-top: 1rem;
            text-align: center;
            color: green;
        }
        .editable {
            display: flex;
            align-items: center;
        }
        .editable input[type="text"], .editable input[type="number"], .editable select {
            margin: 0;
            border: none;
            border-radius: 0;
            outline: none;
            background-color: transparent;
            box-shadow: none;
        }
        .editable input[type="submit"] {
            margin-left: 1rem;
        }
    </style>
        <h1>Datos encontrados</h1>
        <form action="actualizar.php" method="post">
            <input type="hidden" name="cedulatrabajo" value="<?= $persona['cedulatrabajo']?>">
            <input type="hidden" name="cedula" value="<?= $persona['cedula']?>">
            <table border="1">
                <tr>
                    <th>Cédula de trabajo</th>
                    <td class="editable">
                        <inputtype="number" name="cedulatrabajo" value="<?= $persona['cedulatrabajo']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Cédula</th>
                    <td class="editable">
                        <input type="number" name="cedula" value="<?= $persona['cedula']?>" disabled>
                    </td>
                </tr>
                <tr>
                    <th>Apellidos</th>
                    <td class="editable">
                        <input type="text" name="apellidos" value="<?= $persona['apellidos']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Nombres</th>
                    <td class="editable">
                        <input type="text" name="nombres" value="<?= $persona['nombres']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Edad</th>
                    <td class="editable">
                        <input type="number" name="edad" value="<?= $persona['edad']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Parentesco</th>
                    <td class="editable">
                        <input type="text" name="parentesco" value="<?= $persona['parentesco']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Sexo</th>
                    <td class="editable">
                        <select name="sexo">
                            <option value="F" <?= $persona['sexo'] == 'F' ? 'selected' : ''?>>Femenino</option>
                            <option value="M" <?= $persona['sexo'] == 'M' ? 'selected' : ''?>>Masculino</option>
                        </select>
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Fecha de nacimiento</th>
                    <td class="editable">
                        <input type="date" name="fecha_de_nacimiento" value="<?= $persona['fecha_de_nacimiento']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Estatus</th>
                    <td class="editable">
                        <input type="text" name="estatus" value="<?= $persona['estatus']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Institución</th>
                    <td class="editable">
                        <input type="text" name="institucion" value="<?= $persona['institucion']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
                <tr>
                    <th>Correo</th>
                    <td class="editable">
                        <input type="email" name="correo" value="<?= $persona['correo']?>">
                        <input type="submit" value="Actualizar">
                    </td>
                </tr>
            </table>
        </form>
        <form action="eliminar.php" method="post">
            <input type="hidden" name="cedula" value="<?= $persona['cedula']?>">
            <button type="submit">Eliminar</button>
        </form>
        <?php
    } else {
        $message ='Cédula no encontrada';
        header("Location: index.php?mensaje=$message");
    }
} else {
    $message = 'Error: Acceso no permitido';
    header("Location: index.php?mensaje=$message");
}


?>