<?php
require_once 'config.php';

function find_by_cedula($cedula) {
    global $conn;
    $sql = "SELECT * FROM personas WHERE cedula = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $cedula);
    $stmt->execute();
    return $stmt->get_result()->fetch_assoc();
}

function delete_by_cedula($cedula) {
    global $conn;
    $sql = "DELETE FROM personas WHERE cedula = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $cedula);
    return $stmt->execute();
}

function update_person($cedulatrabajo, $cedula, $apellidos, $nombres, $edad, $parentesco, $sexo, $fecha_de_nacimiento, $estatus, $institucion, $correo) {
    global $conn;
    $sql = "UPDATE personas SET cedulatrabajo = ?, apellidos = ?, nombres = ?, edad = ?, parentesco = ?, sexo = ?, fecha_de_nacimiento = ?, estatus = ?, Institucion = ?, correo = ? WHERE cedula = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ississssssi", $cedulatrabajo, $apellidos, $nombres, $edad, $parentesco, $sexo, $fecha_de_nacimiento, $estatus, $institucion, $correo, $cedula);
    return $stmt->execute();
}
?>